Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.connection
Class QConnection

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.jbrain.qlink.connection.QConnection

All Implemented Interfaces:
  java.lang.Runnable

public class QConnection
extends java.lang.Thread

Field Summary
`static byte` | `FRAME_END`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`QConnection(java.io.InputStream is, java.io.OutputStream os)`

Method Summary
`void` | `addEventListener(ConnEventListener listener)`
`void` | `close()`
`protected void` | `processActionEvent(ActionEvent event)`
`void` | `removeEventListener(ConnEventListener listener)`
`void` | `resumeLink()`
`void` | `run()`
`void` | `send(Action a)`
`void` | `suspendLink()`
`static void` | `trace(java.lang.String prefix, byte[] data, int i, int length)`
`void` | `write(Command cmd)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FRAME_END

    public static byte FRAME_END

Constructor Detail

### QConnection

    public QConnection(java.io.InputStream is,
                       java.io.OutputStream os)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### close

    public void close()

### send

    public void send(Action a)
              throws java.io.IOException

    `java.io.IOException`

### write

    public void write(Command cmd)
               throws java.io.IOException

    `java.io.IOException`

### trace

    public static void trace(java.lang.String prefix,
                             byte[] data,
                             int i,
                             int length)

### addEventListener

    public void addEventListener(ConnEventListener listener)

### removeEventListener

    public void removeEventListener(ConnEventListener listener)

### processActionEvent

    protected void processActionEvent(ActionEvent event)

### suspendLink

    public void suspendLink()

### resumeLink

    public void resumeLink()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD